<div>
    <h2 id="page-heading">
        <span>Agent Commission Rate Configs</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-agent-commission-rate-config" [routerLink]="['/agent-commission-rate-config/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Agent Commission Rate Config
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="agentCommissionRateConfigs?.length === 0">
        <span>No agentCommissionRateConfigs found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="agentCommissionRateConfigs && agentCommissionRateConfigs.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Agent Id</span></th>
                    <th scope="col" ><span>Commission Id</span></th>
                    <th scope="col" ><span>Start</span></th>
                    <th scope="col" ><span>End</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let agentCommissionRateConfig of agentCommissionRateConfigs ;trackBy: trackId">
                    <td><a [routerLink]="['/agent-commission-rate-config', agentCommissionRateConfig.id, 'view']">{{ agentCommissionRateConfig.id }}</a></td>
                    <td>{{ agentCommissionRateConfig.agentId }}</td>
                    <td>{{ agentCommissionRateConfig.commissionId }}</td>
                    <td>{{ agentCommissionRateConfig.start | date:'medium' }}</td>
                    <td>{{ agentCommissionRateConfig.end | date:'medium' }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/agent-commission-rate-config', agentCommissionRateConfig.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/agent-commission-rate-config', agentCommissionRateConfig.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(agentCommissionRateConfig)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
